updmap(1)

NAME
updmap - Update font map files for TeX output drivers.

updmap-sys - Update font map files for TeX output drivers system-wide.

SYNOPSIS

updmap [ OPTION ... ] [ COMMAND ... ]

updmap-sys [ OPTION ... ] [ COMMAND ... ]

DESCRIPTION

updmap is a utility that creates font configuration files for dvips(1), pdftex(1), xdvi(1), ps2pk(1), gsftopk(1), dvipdfm(1) and (soon) dvipdfmx(1). In an ideal world, updmap would be unnecessary -- each of these programs would read the same configuration file to learn what fonts are available and how they should be treated. As things stand, however, each of these tools has subtly different requirements and thereby needs its own font configuration file. updmap creates font configuration files for all of these programs from a single source, allowing you to easily keep all the different configuration files in sync.

updmap reads a configuration file, updmap.cfg(5) and, depending on the options specified in that file and on the command line, updmap will write generated map files to a directory of your choosing (via one of the --*outputdir options), or automatically determine where to place the files. In the latter case, it tries to use the tree where the variable TEXMFVAR points to. When used with the options --edit, --setoption, --enable, --disable, or --syncwithtrees, updmap will first write updmap.cfg(5) and regenerate the map files only if this file has been changed.

OPTIONS

The following command-line options are available:

--cnffile file
    Specify a configuration file.

--dvipsoutputdir directory
    Specify the output directory for map files generated with dvips syntax.

--pdftexoutputdir directory
    Specify the output directory for map files generated with pdftex syntax.

--dvipdfmoutputdir directory
    Specify the output directory for map files generated with dvipdfm syntax.

--outputdir directory
    Specify the output directory for all generated map files.

--nohash
    Do not run texhash(1).

--nomkmap
    Do not recreate existing map files.

--quiet
    Reduce verbosity.

The following commands can be substituted for COMMAND:

--edit
    Edit the updmap.cfg file.

--help
    Show a command and option summary.

--showoptions item
    Show alternatives for option item.

--setoption option value
    Set option to value, where option is one of:

    dvipsPreferOutline

    LW35

    dvipsDownloadBase35

    pdftexDownloadBase14

    dvipdfmDownloadBase14

--enable maptype mapfile
    Add or enable a Map or MixedMap for mapfile.

--enable Map=mapfile
    Add or enable a Map for mapfile.

--enable MixedMap=mapfile
    Add or enable a MixedMap for mapfile.

--disable mapfile
    Disable Map or MixedMap for mapfile.

--syncwithtrees
    Disable entries in the config file that refer to map files which are unavailable.

--listmaps
    List all active and inactive maps.

--listavailablemaps
    List all active and inactive maps, but restrict output to map files that are available in one of the texmf trees.

FILES

Configuration and input files:

updmap.cfg
    Main configuration file. In texmf/web2c by default, but may be located elsewhere depending on your distribution.

dvips35.map
    Map file for standard 35 PostScript fonts for use with dvips(1).

pdftex35.map
    Map file for standard 35 PostScript fonts for use with pdftex(1).

dvipdfm35.map
    Map file for standard 35 PostScript fonts for use with dvipdfm(1).

ps2pk35.map
    Map file for standard 35 PostScript fonts for use with ps2pk(1).

Output files:

psfonts.map
    For dvips(1). Soft link against psfonts_t1.map if option dvipsPreferOutline active, else against psfonts_pk.map.

psfonts_pk.map
    For dvips(1). Without information from MixedMap files. (Setting of dvipsPreferOutline ignored.)

psfonts_t1.map
    For dvips(1). With information from MixedMap files. (Setting of dvipsPreferOutline ignored.)

download35.map
    For dvips(1). Always downloads the standard 35 fonts. (Setting of dvipsDownloadBase35 ignored.)

builtin35.map
    For dvips(1). Never downloads the standard 35 fonts. (Setting of dvipsDownloadBase35 ignored.)

pdftex.map
    For pdftex(1). Soft link against pdftex_dl14.map if option pdftexDownloadBase14 active, else against pdftex_ndl14.map.

pdftex_dl14.map
    For pdftex(1). Always downloads the standard 14 fonts.

pdftex_ndl14.map
    For pdftex(1). Never downloads the standard 14 fonts.

dvipdfm.map
    For dvipdfm(1). Soft link against dvipdfm_dl14.map if option dvipdfmDownloadBase14 active, else against dvipdfm_ndl14.map.

dvipdfm_dl14.map
    For dvipdfm(1). Always downloads the standard 14 fonts.

dvipdfm_ndl14.map
    For dvipdfm(1). Never downloads the standard 14 fonts.

ps2pk.map
    Similar to psfonts.map file, but forces all fonts to be downloaded, so this map file can be used with xdvi(1) and ps2pk(1).

teTeX configuration files for dvips(1) tuned for use with updmap:

config.builtin35
    Loads buildin35.map instead of psfonts.map.

config.download35
    Loads download35.map instead of psfonts.map.

config.outline
    Loads psfonts_t1.map instead of psfonts.map.

config.pdf
    Loads psfonts_t1.map instead of psfonts.map and has additional optimizations for PDF generation.

config.pk
    Loads psfonts_pk.map instead of psfonts.map.

config.www
    Loads psfonts_t1.map instead of psfonts.map. (For compatibility with previous versions of teTeX.)

config.gstopk
    Loads psfonts_t1.map instead of psfonts.map.

SEE ALSO

updmap.cfg(5), dvipdfm(1), dvips(1), gsftopk(1), pdftex(1), ps2pk(1), texhash(1), xdvi(1).

Web page: <http://tug.org/teTeX/>

BUGS

None known, but report any bugs found to <tetex@dbs.uni-hannover.de> (mailing list).

AUTHOR

updmap was written by Thomas Esser <te@dbs.uni-hannover.de> and is in the public domain.

This manual page was written by C.M. Connelly <cmc@debian.org>, for the Debian GNU/Linux system and later slightly adapted for teTeX 3.